<h1> Welcome to the {{ title | titlecase }} Demo </h1>

<div>
  <label for=""># items:</label>
  <input type="number" name="count" 
        [(ngModel)]="count" (change)="onChange()" 
        [min]="0" [max]="20"
  />
</div>

<div *ngIf="cart.length === 0" class="empty">
    No items in the shopping cart
</div>

<div *ngIf="cart.length > 0" class="not-empty">
  <table>
    <thead>
      <tr> <th>Name</th> <th>Price</th> <th>Count</th> <th>Total</th> </tr>
    </thead>
    <tbody>
      <tr *ngFor="let p of cart">
        <td>{{p.name | titlecase}}</td>
        <td>{{p.price | kr}}</td>
        <td>{{p.count | number:'1.0-0'}}</td>
        <td>{{p.total | kr}}</td>
      </tr>
    </tbody>
    <tfoot>
      <th colspan="3">Sum:</th>
      <td> {{sum | kr}} </td>
    </tfoot>
  </table>
</div>